## python-requests-futures 1.0.1

=== requirements.txt ===
certifi==2023.5.7
charset-normalizer==3.1.0
idna==3.4
requests==2.31.0
urllib3==2.0.3

## python-requests-futures 0.9.5

=== debian/changelog ===
python-requests-futures (0.9.5-1) unstable; urgency=medium

  * Initial release. (Closes: #780063)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Mar 2015 23:57:46 +0100

=== debian/control ===
Source: python-requests-futures
Section: python
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python3-all,
 python-setuptools,
 python3-setuptools,
 python-requests (>= 1.2),
 python3-requests (>= 1.2),
 python-concurrent.futures
X-Python3-Version: >= 3.2
Standards-Version: 3.9.6
Homepage: https://pypi.python.org/pypi/requests-futures
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-requests-futures.git
Vcs-Git: git://anonscm.debian.org/collab-maint/python-requests-futures.git

Package: python-requests-futures
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends},
 python-requests (>= 1.2),
 python-concurrent.futures (>= 2.1.3)
Description: library for asynchronous HTTP requests (Python 2)
 Requests-futures is a small add-on for python-requests that allows one to
 create asynchronous HTTP requests.
 .
 This package provides the module for Python 2.

Package: python3-requests-futures
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-requests (>= 1.2)
Description: library for asynchronous HTTP requests (Python 3)
 Requests-futures is a small add-on for python-requests that allows one to
 create asynchronous HTTP requests.
 .
 This package provides the module for Python 3.

## python-requests-futures 0.9.7

=== debian/changelog ===
python-requests-futures (0.9.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version.
    - Update Vcs-*.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 15 Feb 2016 02:17:13 +0100

python-requests-futures (0.9.5-2) unstable; urgency=medium

  * debian/python{,3}-requests-futures.docs: Include README.rst. (Closes:
    #799463)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 Sep 2015 11:22:29 +0200

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
 X-Python3-Version: >= 3.2
 Standards-Version: 3.9.6
 Homepage: https://pypi.python.org/pypi/requests-futures
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-requests-futures.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-requests-futures.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-requests-futures.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-requests-futures.git
 
 Package: python-requests-futures
 Architecture: all

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/requests-futures/requests-futures-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-requests-futures 0.9.9

=== debian/changelog ===
python-requests-futures (0.9.9-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Dec 2018 22:51:20 +0100

python-requests-futures (0.9.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 08 Nov 2018 23:01:44 +0100

python-requests-futures (0.9.7-2) unstable; urgency=medium

  * debian/control:
    - Move to salsa.
    - Bump Standards-Version.
    - Remove X-Python3-Version.
  * debian/rules:
    - Bump debhelper compat to 11.
    - Use https.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 11 May 2018 08:57:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python-all,
  python3-all,
@@ -12,11 +12,10 @@
  python-requests (>= 1.2),
  python3-requests (>= 1.2),
  python-concurrent.futures
-X-Python3-Version: >= 3.2
-Standards-Version: 3.9.6
+Standards-Version: 4.2.1
 Homepage: https://pypi.python.org/pypi/requests-futures
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-requests-futures.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-requests-futures.git
+Vcs-Browser: https://salsa.debian.org/sramacher/python-requests-futures
+Vcs-Git: https://salsa.debian.org/sramacher/python-requests-futures.git
 
 Package: python-requests-futures
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:

## python-requests-futures 1.0.0

=== debian/changelog ===
python-requests-futures (1.0.0-2) unstable; urgency=medium

  * debian/control: Bump Standards-Version.
  * debian/: Remove python-requests-futures. (Closes: #938137)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 30 Aug 2019 20:40:05 +0200

python-requests-futures (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/: Bump debhelper compat to 12.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 24 Jun 2019 19:58:09 +0200

=== debian/control ===
Source: python-requests-futures
Section: python
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-requests (>= 1.2),
Standards-Version: 4.4.0
Homepage: https://pypi.python.org/pypi/requests-futures
Vcs-Browser: https://salsa.debian.org/sramacher/python-requests-futures
Vcs-Git: https://salsa.debian.org/sramacher/python-requests-futures.git

Package: python3-requests-futures
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-requests (>= 1.2)
Description: library for asynchronous HTTP requests (Python 3)
 Requests-futures is a small add-on for python-requests that allows one to
 create asynchronous HTTP requests.
 .
 This package provides the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/requests-futures/requests-futures-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-requests-futures 1.0.1

=== debian/changelog ===
python-requests-futures (1.0.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.4.1, no changes needed.
  * Remove constraints unnecessary since buster

  [ Sebastian Ramacher ]
  * New upstream version 1.0.1
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Jul 2023 18:47:39 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  dh-python,
  python3-all,
  python3-setuptools,
- python3-requests (>= 1.2),
-Standards-Version: 4.4.0
+ python3-requests,
+Standards-Version: 4.6.2
 Homepage: https://pypi.python.org/pypi/requests-futures
 Vcs-Browser: https://salsa.debian.org/sramacher/python-requests-futures
 Vcs-Git: https://salsa.debian.org/sramacher/python-requests-futures.git
@@ -18,7 +18,7 @@
 Depends:
  ${python3:Depends},
  ${misc:Depends},
- python3-requests (>= 1.2)
+ python3-requests
 Description: library for asynchronous HTTP requests (Python 3)
  Requests-futures is a small add-on for python-requests that allows one to
  create asynchronous HTTP requests.

## python-requests-futures 1.0.2

=== requirements.txt ===
certifi==2024.8.30
charset-normalizer==3.4.0
idna==3.10
requests==2.32.3
urllib3==2.2.3

=== debian/changelog ===
python-requests-futures (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * debian/watch: Search for new versions.
    Thanks to Alexandre Detiste (Closes: #1090917)
  * debian/control:
    - Bump Standards-Version
    - Bump debhelper compat to 13
    - Set RRR: no
  * debian/: Switch to dh-sequence-python3

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Dec 2024 22:57:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-setuptools,
  python3-requests,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://pypi.python.org/pypi/requests-futures
 Vcs-Browser: https://salsa.debian.org/sramacher/python-requests-futures
 Vcs-Git: https://salsa.debian.org/sramacher/python-requests-futures.git
+Rules-Requires-Root: no
 
 Package: python3-requests-futures
 Architecture: all

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/requests-futures/requests_futures-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
